> Toden documentation. For the full index fetch /llms.txt. Every page is available as Markdown by appending .md to its URL. Identity verification uses /api/kyc, Risk Intelligence uses /api/v1; they are separate contracts with different error shapes. Never invent an endpoint, field or enum value: read the API reference page for the operation first.

# Submit Travel Rule information

POST https://sandbox-api.toden.co/api/v1/transactions/{id}/travel-rule/information
Content-Type: application/json

Reference: https://docs.toden.co/api-reference/risk-intelligence/travel-rule/post-submit-travel-ruleinformation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://sandbox-api.toden.co/api/v1` (Sandbox, default)
- `https://api.toden.co/api/v1` (Production)

## Request

### Path parameters

- `id` (string, required)

### Headers

- `X-Request-Id` (string, optional)
- `Idempotency-Key` (string, required)

### Body (application/json)

This endpoint expects a TravelRuleInformationCreate.

- `originator` (TravelRulePartyData, optional)
- `beneficiary` (TravelRulePartyData, optional)
- `counterpartyVasp` (TravelRulePartyData, optional)

## Response

### 200

Success

- `assessment` (TravelRuleAssessmentResponseAssessment, required)
- `effectiveDecision` (enum, optional)
  - Allowed values: `allow`, `review`, `block`
- `replayed` (boolean, optional)

### 201

Success

- `assessment` (TravelRuleAssessmentResponseAssessment, required)
- `effectiveDecision` (enum, optional)
  - Allowed values: `allow`, `review`, `block`
- `replayed` (boolean, optional)

## Errors

### 400 Bad Request Error

HTTP 400

- `error` (ErrorEnvelopeError, required)

### 401 Unauthorized Error

HTTP 401

- `error` (ErrorEnvelopeError, required)

### 402 Payment Required Error

HTTP 402

- `error` (ErrorEnvelopeError, required)

### 403 Forbidden Error

HTTP 403

- `error` (ErrorEnvelopeError, required)

### 404 Not Found Error

HTTP 404

- `error` (ErrorEnvelopeError, required)

### 409 Conflict Error

HTTP 409

- `error` (ErrorEnvelopeError, required)

### 413 Content Too Large Error

HTTP 400

- `error` (ErrorEnvelopeError, required)

### 422 Unprocessable Entity Error

HTTP 400

- `error` (ErrorEnvelopeError, required)

### 429 Too Many Requests Error

HTTP 429

- `error` (ErrorEnvelopeError, required)

### 500 Internal Server Error

HTTP 500

- `error` (ErrorEnvelopeError, required)

### 502 Bad Gateway Error

HTTP 503

- `error` (ErrorEnvelopeError, required)

### 503 Service Unavailable Error

HTTP 503

- `error` (ErrorEnvelopeError, required)

## Types

### TravelRulePartyData

- `legalName` (string, optional)
- `accountIdentifier` (string, optional)
- `customerIdentifier` (string, optional)
- `dateOfBirth` (date, optional)
- `placeOfBirth` (string, optional)
- `residentialAddress` (TravelRulePartyDataResidentialAddress, optional)
- `countryOfResidence` (enum, optional)
  - Allowed values: `DZ`, `dz`, `Dz`, `dZ`, `AO`, `ao`, `Ao`, `aO`, `BJ`, `bj`, `Bj`, `bJ`, `BW`, `bw`, `Bw`, `bW`, `BF`, `bf`, `Bf`, `bF`, `BI`, `bi`, `Bi`, `bI`, `CV`, `cv`, `Cv`, `cV`, `CM`, `cm`, `Cm`, `cM`, `CF`, `cf`, `Cf`, `cF`, `TD`, `td`, `Td`, `tD`, `KM`, `km`, `Km`, `kM`, `CG`, `cg`, `Cg`, `cG`, `CD`, `cd`, `Cd`, `cD`, `CI`, `ci`, `Ci`, `cI`, `DJ`, `dj`, `Dj`, `dJ`, `EG`, `eg`, `Eg`, `eG`, `GQ`, `gq`, `Gq`, `gQ`, `ER`, `er`, `Er`, `eR`, `SZ`, `sz`, `Sz`, `sZ`, `ET`, `et`, `Et`, `eT`, `GA`, `ga`, `Ga`, `gA`, `GM`, `gm`, `Gm`, `gM`, `GH`, `gh`, `Gh`, `gH`, `GN`, `gn`, `Gn`, `gN`, `GW`, `gw`, `Gw`, `gW`, `KE`, `ke`, `Ke`, `kE`, `LS`, `ls`, `Ls`, `lS`, `LR`, `lr`, `Lr`, `lR`, `LY`, `ly`, `Ly`, `lY`, `MG`, `mg`, `Mg`, `mG`, `MW`, `mw`, `Mw`, `mW`, `ML`, `ml`, `Ml`, `mL`, `MR`, `mr`, `Mr`, `mR`, `MU`, `mu`, `Mu`, `mU`, `YT`, `yt`, `Yt`, `yT`, `MA`, `ma`, `Ma`, `mA`, `MZ`, `mz`, `Mz`, `mZ`, `NA`, `na`, `Na`, `nA`, `NE`, `ne`, `Ne`, `nE`, `NG`, `ng`, `Ng`, `nG`, `RE`, `re`, `Re`, `rE`, `RW`, `rw`, `Rw`, `rW`, `SH`, `sh`, `Sh`, `sH`, `ST`, `st`, `St`, `sT`, `SN`, `sn`, `Sn`, `sN`, `SC`, `sc`, `Sc`, `sC`, `SL`, `sl`, `Sl`, `sL`, `SO`, `so`, `So`, `sO`, `ZA`, `za`, `Za`, `zA`, `SS`, `ss`, `Ss`, `sS`, `SD`, `sd`, `Sd`, `sD`, `TZ`, `tz`, `Tz`, `tZ`, `TG`, `tg`, `Tg`, `tG`, `TN`, `tn`, `Tn`, `tN`, `UG`, `ug`, `Ug`, `uG`, `EH`, `eh`, `Eh`, `eH`, `ZM`, `zm`, `Zm`, `zM`, `ZW`, `zw`, `Zw`, `zW`, `AE`, `ae`, `Ae`, `aE`, `BH`, `bh`, `Bh`, `bH`, `IL`, `il`, `Il`, `iL`, `IQ`, `iq`, `Iq`, `iQ`, `IR`, `ir`, `Ir`, `iR`, `JO`, `jo`, `Jo`, `jO`, `KW`, `kw`, `Kw`, `kW`, `LB`, `lb`, `Lb`, `lB`, `OM`, `om`, `Om`, `oM`, `PS`, `ps`, `Ps`, `pS`, `QA`, `qa`, `Qa`, `qA`, `SA`, `sa`, `Sa`, `sA`, `SY`, `sy`, `Sy`, `sY`, `TR`, `tr`, `Tr`, `tR`, `YE`, `ye`, `Ye`, `yE`, `AD`, `ad`, `Ad`, `aD`, `AL`, `al`, `Al`, `aL`, `AT`, `at`, `At`, `aT`, `AX`, `ax`, `Ax`, `aX`, `BA`, `ba`, `Ba`, `bA`, `BE`, `be`, `Be`, `bE`, `BG`, `bg`, `Bg`, `bG`, `BY`, `by`, `By`, `bY`, `CH`, `ch`, `Ch`, `cH`, `CY`, `cy`, `Cy`, `cY`, `CZ`, `cz`, `Cz`, `cZ`, `DE`, `de`, `De`, `dE`, `DK`, `dk`, `Dk`, `dK`, `EE`, `ee`, `Ee`, `eE`, `ES`, `es`, `Es`, `eS`, `FI`, `fi`, `Fi`, `fI`, `FO`, `fo`, `Fo`, `fO`, `FR`, `fr`, `Fr`, `fR`, `GB`, `gb`, `Gb`, `gB`, `GG`, `gg`, `Gg`, `gG`, `GI`, `gi`, `Gi`, `gI`, `GR`, `gr`, `Gr`, `gR`, `HR`, `hr`, `Hr`, `hR`, `HU`, `hu`, `Hu`, `hU`, `IE`, `ie`, `Ie`, `iE`, `IM`, `im`, `Im`, `iM`, `IS`, `is`, `Is`, `iS`, `IT`, `it`, `It`, `iT`, `JE`, `je`, `Je`, `jE`, `LI`, `li`, `Li`, `lI`, `LT`, `lt`, `Lt`, `lT`, `LU`, `lu`, `Lu`, `lU`, `LV`, `lv`, `Lv`, `lV`, `MC`, `mc`, `Mc`, `mC`, `MD`, `md`, `Md`, `mD`, `ME`, `me`, `Me`, `mE`, `MK`, `mk`, `Mk`, `mK`, `MT`, `mt`, `Mt`, `mT`, `NL`, `nl`, `Nl`, `nL`, `NO`, `no`, `No`, `nO`, `PL`, `pl`, `Pl`, `pL`, `PT`, `pt`, `Pt`, `pT`, `RO`, `ro`, `Ro`, `rO`, `RS`, `rs`, `Rs`, `rS`, `RU`, `ru`, `Ru`, `rU`, `SE`, `se`, `Se`, `sE`, `SI`, `si`, `Si`, `sI`, `SJ`, `sj`, `Sj`, `sJ`, `SK`, `sk`, `Sk`, `sK`, `SM`, `sm`, `Sm`, `sM`, `UA`, `ua`, `Ua`, `uA`, `VA`, `va`, `Va`, `vA`, `XK`, `xk`, `Xk`, `xK`, `AG`, `ag`, `Ag`, `aG`, `AI`, `ai`, `Ai`, `aI`, `AR`, `ar`, `Ar`, `aR`, `AW`, `aw`, `Aw`, `aW`, `BB`, `bb`, `Bb`, `bB`, `BL`, `bl`, `Bl`, `bL`, `BM`, `bm`, `Bm`, `bM`, `BO`, `bo`, `Bo`, `bO`, `BQ`, `bq`, `Bq`, `bQ`, `BR`, `br`, `Br`, `bR`, `BS`, `bs`, `Bs`, `bS`, `BZ`, `bz`, `Bz`, `bZ`, `CA`, `ca`, `Ca`, `cA`, `CL`, `cl`, `Cl`, `cL`, `CO`, `co`, `Co`, `cO`, `CR`, `cr`, `Cr`, `cR`, `CU`, `cu`, `Cu`, `cU`, `CW`, `cw`, `Cw`, `cW`, `DM`, `dm`, `Dm`, `dM`, `DO`, `do`, `Do`, `dO`, `EC`, `ec`, `Ec`, `eC`, `FK`, `fk`, `Fk`, `fK`, `GD`, `gd`, `Gd`, `gD`, `GF`, `gf`, `Gf`, `gF`, `GL`, `gl`, `Gl`, `gL`, `GP`, `gp`, `Gp`, `gP`, `GT`, `gt`, `Gt`, `gT`, `GY`, `gy`, `Gy`, `gY`, `HN`, `hn`, `Hn`, `hN`, `HT`, `ht`, `Ht`, `hT`, `JM`, `jm`, `Jm`, `jM`, `KN`, `kn`, `Kn`, `kN`, `KY`, `ky`, `Ky`, `kY`, `LC`, `lc`, `Lc`, `lC`, `MF`, `mf`, `Mf`, `mF`, `MQ`, `mq`, `Mq`, `mQ`, `MS`, `ms`, `Ms`, `mS`, `MX`, `mx`, `Mx`, `mX`, `NI`, `ni`, `Ni`, `nI`, `PA`, `pa`, `Pa`, `pA`, `PE`, `pe`, `Pe`, `pE`, `PM`, `pm`, `Pm`, `pM`, `PR`, `pr`, `Pr`, `pR`, `PY`, `py`, `Py`, `pY`, `SR`, `sr`, `Sr`, `sR`, `SV`, `sv`, `Sv`, `sV`, `SX`, `sx`, `Sx`, `sX`, `TC`, `tc`, `Tc`, `tC`, `TT`, `tt`, `Tt`, `tT`, `US`, `us`, `Us`, `uS`, `UY`, `uy`, `Uy`, `uY`, `VC`, `vc`, `Vc`, `vC`, `VE`, `ve`, `Ve`, `vE`, `VG`, `vg`, `Vg`, `vG`, `VI`, `vi`, `Vi`, `vI`, `AF`, `af`, `Af`, `aF`, `AM`, `am`, `Am`, `aM`, `AS`, `as`, `As`, `aS`, `AU`, `au`, `Au`, `aU`, `AZ`, `az`, `Az`, `aZ`, `BD`, `bd`, `Bd`, `bD`, `BN`, `bn`, `Bn`, `bN`, `BT`, `bt`, `Bt`, `bT`, `CK`, `ck`, `Ck`, `cK`, `CN`, `cn`, `Cn`, `cN`, `FJ`, `fj`, `Fj`, `fJ`, `FM`, `fm`, `Fm`, `fM`, `GE`, `ge`, `Ge`, `gE`, `GU`, `gu`, `Gu`, `gU`, `HK`, `hk`, `Hk`, `hK`, `ID`, `id`, `Id`, `iD`, `IN`, `in`, `In`, `iN`, `JP`, `jp`, `Jp`, `jP`, `KG`, `kg`, `Kg`, `kG`, `KH`, `kh`, `Kh`, `kH`, `KI`, `ki`, `Ki`, `kI`, `KP`, `kp`, `Kp`, `kP`, `KR`, `kr`, `Kr`, `kR`, `KZ`, `kz`, `Kz`, `kZ`, `LA`, `la`, `La`, `lA`, `LK`, `lk`, `Lk`, `lK`, `MH`, `mh`, `Mh`, `mH`, `MM`, `mm`, `Mm`, `mM`, `MN`, `mn`, `Mn`, `mN`, `MO`, `mo`, `Mo`, `mO`, `MP`, `mp`, `Mp`, `mP`, `MV`, `mv`, `Mv`, `mV`, `MY`, `my`, `My`, `mY`, `NC`, `nc`, `Nc`, `nC`, `NF`, `nf`, `Nf`, `nF`, `NP`, `np`, `Np`, `nP`, `NR`, `nr`, `Nr`, `nR`, `NU`, `nu`, `Nu`, `nU`, `NZ`, `nz`, `Nz`, `nZ`, `PF`, `pf`, `Pf`, `pF`, `PG`, `pg`, `Pg`, `pG`, `PH`, `ph`, `Ph`, `pH`, `PK`, `pk`, `Pk`, `pK`, `PN`, `pn`, `Pn`, `pN`, `PW`, `pw`, `Pw`, `pW`, `SB`, `sb`, `Sb`, `sB`, `SG`, `sg`, `Sg`, `sG`, `TH`, `th`, `Th`, `tH`, `TJ`, `tj`, `Tj`, `tJ`, `TK`, `tk`, `Tk`, `tK`, `TL`, `tl`, `Tl`, `tL`, `TM`, `tm`, `Tm`, `tM`, `TO`, `to`, `To`, `tO`, `TV`, `tv`, `Tv`, `tV`, `TW`, `tw`, `Tw`, `tW`, `UZ`, `uz`, `Uz`, `uZ`, `VN`, `vn`, `Vn`, `vN`, `VU`, `vu`, `Vu`, `vU`, `WF`, `wf`, `Wf`, `wF`, `WS`, `ws`, `Ws`, `wS`
- `nationalIdentifier` (string, optional)
- `nationalIdentifierType` (enum, optional)
  - Allowed values: `ARNU`, `CCPT`, `RAID`, `DRLC`, `FIIN`, `TXID`, `SOCS`, `IDCD`, `LEIX`, `MISC`
- `countryOfIssue` (enum, optional)
  - Allowed values: `DZ`, `dz`, `Dz`, `dZ`, `AO`, `ao`, `Ao`, `aO`, `BJ`, `bj`, `Bj`, `bJ`, `BW`, `bw`, `Bw`, `bW`, `BF`, `bf`, `Bf`, `bF`, `BI`, `bi`, `Bi`, `bI`, `CV`, `cv`, `Cv`, `cV`, `CM`, `cm`, `Cm`, `cM`, `CF`, `cf`, `Cf`, `cF`, `TD`, `td`, `Td`, `tD`, `KM`, `km`, `Km`, `kM`, `CG`, `cg`, `Cg`, `cG`, `CD`, `cd`, `Cd`, `cD`, `CI`, `ci`, `Ci`, `cI`, `DJ`, `dj`, `Dj`, `dJ`, `EG`, `eg`, `Eg`, `eG`, `GQ`, `gq`, `Gq`, `gQ`, `ER`, `er`, `Er`, `eR`, `SZ`, `sz`, `Sz`, `sZ`, `ET`, `et`, `Et`, `eT`, `GA`, `ga`, `Ga`, `gA`, `GM`, `gm`, `Gm`, `gM`, `GH`, `gh`, `Gh`, `gH`, `GN`, `gn`, `Gn`, `gN`, `GW`, `gw`, `Gw`, `gW`, `KE`, `ke`, `Ke`, `kE`, `LS`, `ls`, `Ls`, `lS`, `LR`, `lr`, `Lr`, `lR`, `LY`, `ly`, `Ly`, `lY`, `MG`, `mg`, `Mg`, `mG`, `MW`, `mw`, `Mw`, `mW`, `ML`, `ml`, `Ml`, `mL`, `MR`, `mr`, `Mr`, `mR`, `MU`, `mu`, `Mu`, `mU`, `YT`, `yt`, `Yt`, `yT`, `MA`, `ma`, `Ma`, `mA`, `MZ`, `mz`, `Mz`, `mZ`, `NA`, `na`, `Na`, `nA`, `NE`, `ne`, `Ne`, `nE`, `NG`, `ng`, `Ng`, `nG`, `RE`, `re`, `Re`, `rE`, `RW`, `rw`, `Rw`, `rW`, `SH`, `sh`, `Sh`, `sH`, `ST`, `st`, `St`, `sT`, `SN`, `sn`, `Sn`, `sN`, `SC`, `sc`, `Sc`, `sC`, `SL`, `sl`, `Sl`, `sL`, `SO`, `so`, `So`, `sO`, `ZA`, `za`, `Za`, `zA`, `SS`, `ss`, `Ss`, `sS`, `SD`, `sd`, `Sd`, `sD`, `TZ`, `tz`, `Tz`, `tZ`, `TG`, `tg`, `Tg`, `tG`, `TN`, `tn`, `Tn`, `tN`, `UG`, `ug`, `Ug`, `uG`, `EH`, `eh`, `Eh`, `eH`, `ZM`, `zm`, `Zm`, `zM`, `ZW`, `zw`, `Zw`, `zW`, `AE`, `ae`, `Ae`, `aE`, `BH`, `bh`, `Bh`, `bH`, `IL`, `il`, `Il`, `iL`, `IQ`, `iq`, `Iq`, `iQ`, `IR`, `ir`, `Ir`, `iR`, `JO`, `jo`, `Jo`, `jO`, `KW`, `kw`, `Kw`, `kW`, `LB`, `lb`, `Lb`, `lB`, `OM`, `om`, `Om`, `oM`, `PS`, `ps`, `Ps`, `pS`, `QA`, `qa`, `Qa`, `qA`, `SA`, `sa`, `Sa`, `sA`, `SY`, `sy`, `Sy`, `sY`, `TR`, `tr`, `Tr`, `tR`, `YE`, `ye`, `Ye`, `yE`, `AD`, `ad`, `Ad`, `aD`, `AL`, `al`, `Al`, `aL`, `AT`, `at`, `At`, `aT`, `AX`, `ax`, `Ax`, `aX`, `BA`, `ba`, `Ba`, `bA`, `BE`, `be`, `Be`, `bE`, `BG`, `bg`, `Bg`, `bG`, `BY`, `by`, `By`, `bY`, `CH`, `ch`, `Ch`, `cH`, `CY`, `cy`, `Cy`, `cY`, `CZ`, `cz`, `Cz`, `cZ`, `DE`, `de`, `De`, `dE`, `DK`, `dk`, `Dk`, `dK`, `EE`, `ee`, `Ee`, `eE`, `ES`, `es`, `Es`, `eS`, `FI`, `fi`, `Fi`, `fI`, `FO`, `fo`, `Fo`, `fO`, `FR`, `fr`, `Fr`, `fR`, `GB`, `gb`, `Gb`, `gB`, `GG`, `gg`, `Gg`, `gG`, `GI`, `gi`, `Gi`, `gI`, `GR`, `gr`, `Gr`, `gR`, `HR`, `hr`, `Hr`, `hR`, `HU`, `hu`, `Hu`, `hU`, `IE`, `ie`, `Ie`, `iE`, `IM`, `im`, `Im`, `iM`, `IS`, `is`, `Is`, `iS`, `IT`, `it`, `It`, `iT`, `JE`, `je`, `Je`, `jE`, `LI`, `li`, `Li`, `lI`, `LT`, `lt`, `Lt`, `lT`, `LU`, `lu`, `Lu`, `lU`, `LV`, `lv`, `Lv`, `lV`, `MC`, `mc`, `Mc`, `mC`, `MD`, `md`, `Md`, `mD`, `ME`, `me`, `Me`, `mE`, `MK`, `mk`, `Mk`, `mK`, `MT`, `mt`, `Mt`, `mT`, `NL`, `nl`, `Nl`, `nL`, `NO`, `no`, `No`, `nO`, `PL`, `pl`, `Pl`, `pL`, `PT`, `pt`, `Pt`, `pT`, `RO`, `ro`, `Ro`, `rO`, `RS`, `rs`, `Rs`, `rS`, `RU`, `ru`, `Ru`, `rU`, `SE`, `se`, `Se`, `sE`, `SI`, `si`, `Si`, `sI`, `SJ`, `sj`, `Sj`, `sJ`, `SK`, `sk`, `Sk`, `sK`, `SM`, `sm`, `Sm`, `sM`, `UA`, `ua`, `Ua`, `uA`, `VA`, `va`, `Va`, `vA`, `XK`, `xk`, `Xk`, `xK`, `AG`, `ag`, `Ag`, `aG`, `AI`, `ai`, `Ai`, `aI`, `AR`, `ar`, `Ar`, `aR`, `AW`, `aw`, `Aw`, `aW`, `BB`, `bb`, `Bb`, `bB`, `BL`, `bl`, `Bl`, `bL`, `BM`, `bm`, `Bm`, `bM`, `BO`, `bo`, `Bo`, `bO`, `BQ`, `bq`, `Bq`, `bQ`, `BR`, `br`, `Br`, `bR`, `BS`, `bs`, `Bs`, `bS`, `BZ`, `bz`, `Bz`, `bZ`, `CA`, `ca`, `Ca`, `cA`, `CL`, `cl`, `Cl`, `cL`, `CO`, `co`, `Co`, `cO`, `CR`, `cr`, `Cr`, `cR`, `CU`, `cu`, `Cu`, `cU`, `CW`, `cw`, `Cw`, `cW`, `DM`, `dm`, `Dm`, `dM`, `DO`, `do`, `Do`, `dO`, `EC`, `ec`, `Ec`, `eC`, `FK`, `fk`, `Fk`, `fK`, `GD`, `gd`, `Gd`, `gD`, `GF`, `gf`, `Gf`, `gF`, `GL`, `gl`, `Gl`, `gL`, `GP`, `gp`, `Gp`, `gP`, `GT`, `gt`, `Gt`, `gT`, `GY`, `gy`, `Gy`, `gY`, `HN`, `hn`, `Hn`, `hN`, `HT`, `ht`, `Ht`, `hT`, `JM`, `jm`, `Jm`, `jM`, `KN`, `kn`, `Kn`, `kN`, `KY`, `ky`, `Ky`, `kY`, `LC`, `lc`, `Lc`, `lC`, `MF`, `mf`, `Mf`, `mF`, `MQ`, `mq`, `Mq`, `mQ`, `MS`, `ms`, `Ms`, `mS`, `MX`, `mx`, `Mx`, `mX`, `NI`, `ni`, `Ni`, `nI`, `PA`, `pa`, `Pa`, `pA`, `PE`, `pe`, `Pe`, `pE`, `PM`, `pm`, `Pm`, `pM`, `PR`, `pr`, `Pr`, `pR`, `PY`, `py`, `Py`, `pY`, `SR`, `sr`, `Sr`, `sR`, `SV`, `sv`, `Sv`, `sV`, `SX`, `sx`, `Sx`, `sX`, `TC`, `tc`, `Tc`, `tC`, `TT`, `tt`, `Tt`, `tT`, `US`, `us`, `Us`, `uS`, `UY`, `uy`, `Uy`, `uY`, `VC`, `vc`, `Vc`, `vC`, `VE`, `ve`, `Ve`, `vE`, `VG`, `vg`, `Vg`, `vG`, `VI`, `vi`, `Vi`, `vI`, `AF`, `af`, `Af`, `aF`, `AM`, `am`, `Am`, `aM`, `AS`, `as`, `As`, `aS`, `AU`, `au`, `Au`, `aU`, `AZ`, `az`, `Az`, `aZ`, `BD`, `bd`, `Bd`, `bD`, `BN`, `bn`, `Bn`, `bN`, `BT`, `bt`, `Bt`, `bT`, `CK`, `ck`, `Ck`, `cK`, `CN`, `cn`, `Cn`, `cN`, `FJ`, `fj`, `Fj`, `fJ`, `FM`, `fm`, `Fm`, `fM`, `GE`, `ge`, `Ge`, `gE`, `GU`, `gu`, `Gu`, `gU`, `HK`, `hk`, `Hk`, `hK`, `ID`, `id`, `Id`, `iD`, `IN`, `in`, `In`, `iN`, `JP`, `jp`, `Jp`, `jP`, `KG`, `kg`, `Kg`, `kG`, `KH`, `kh`, `Kh`, `kH`, `KI`, `ki`, `Ki`, `kI`, `KP`, `kp`, `Kp`, `kP`, `KR`, `kr`, `Kr`, `kR`, `KZ`, `kz`, `Kz`, `kZ`, `LA`, `la`, `La`, `lA`, `LK`, `lk`, `Lk`, `lK`, `MH`, `mh`, `Mh`, `mH`, `MM`, `mm`, `Mm`, `mM`, `MN`, `mn`, `Mn`, `mN`, `MO`, `mo`, `Mo`, `mO`, `MP`, `mp`, `Mp`, `mP`, `MV`, `mv`, `Mv`, `mV`, `MY`, `my`, `My`, `mY`, `NC`, `nc`, `Nc`, `nC`, `NF`, `nf`, `Nf`, `nF`, `NP`, `np`, `Np`, `nP`, `NR`, `nr`, `Nr`, `nR`, `NU`, `nu`, `Nu`, `nU`, `NZ`, `nz`, `Nz`, `nZ`, `PF`, `pf`, `Pf`, `pF`, `PG`, `pg`, `Pg`, `pG`, `PH`, `ph`, `Ph`, `pH`, `PK`, `pk`, `Pk`, `pK`, `PN`, `pn`, `Pn`, `pN`, `PW`, `pw`, `Pw`, `pW`, `SB`, `sb`, `Sb`, `sB`, `SG`, `sg`, `Sg`, `sG`, `TH`, `th`, `Th`, `tH`, `TJ`, `tj`, `Tj`, `tJ`, `TK`, `tk`, `Tk`, `tK`, `TL`, `tl`, `Tl`, `tL`, `TM`, `tm`, `Tm`, `tM`, `TO`, `to`, `To`, `tO`, `TV`, `tv`, `Tv`, `tV`, `TW`, `tw`, `Tw`, `tW`, `UZ`, `uz`, `Uz`, `uZ`, `VN`, `vn`, `Vn`, `vN`, `VU`, `vu`, `Vu`, `vU`, `WF`, `wf`, `Wf`, `wF`, `WS`, `ws`, `Ws`, `wS`
- `countryOfRegistration` (enum, optional)
  - Allowed values: `DZ`, `dz`, `Dz`, `dZ`, `AO`, `ao`, `Ao`, `aO`, `BJ`, `bj`, `Bj`, `bJ`, `BW`, `bw`, `Bw`, `bW`, `BF`, `bf`, `Bf`, `bF`, `BI`, `bi`, `Bi`, `bI`, `CV`, `cv`, `Cv`, `cV`, `CM`, `cm`, `Cm`, `cM`, `CF`, `cf`, `Cf`, `cF`, `TD`, `td`, `Td`, `tD`, `KM`, `km`, `Km`, `kM`, `CG`, `cg`, `Cg`, `cG`, `CD`, `cd`, `Cd`, `cD`, `CI`, `ci`, `Ci`, `cI`, `DJ`, `dj`, `Dj`, `dJ`, `EG`, `eg`, `Eg`, `eG`, `GQ`, `gq`, `Gq`, `gQ`, `ER`, `er`, `Er`, `eR`, `SZ`, `sz`, `Sz`, `sZ`, `ET`, `et`, `Et`, `eT`, `GA`, `ga`, `Ga`, `gA`, `GM`, `gm`, `Gm`, `gM`, `GH`, `gh`, `Gh`, `gH`, `GN`, `gn`, `Gn`, `gN`, `GW`, `gw`, `Gw`, `gW`, `KE`, `ke`, `Ke`, `kE`, `LS`, `ls`, `Ls`, `lS`, `LR`, `lr`, `Lr`, `lR`, `LY`, `ly`, `Ly`, `lY`, `MG`, `mg`, `Mg`, `mG`, `MW`, `mw`, `Mw`, `mW`, `ML`, `ml`, `Ml`, `mL`, `MR`, `mr`, `Mr`, `mR`, `MU`, `mu`, `Mu`, `mU`, `YT`, `yt`, `Yt`, `yT`, `MA`, `ma`, `Ma`, `mA`, `MZ`, `mz`, `Mz`, `mZ`, `NA`, `na`, `Na`, `nA`, `NE`, `ne`, `Ne`, `nE`, `NG`, `ng`, `Ng`, `nG`, `RE`, `re`, `Re`, `rE`, `RW`, `rw`, `Rw`, `rW`, `SH`, `sh`, `Sh`, `sH`, `ST`, `st`, `St`, `sT`, `SN`, `sn`, `Sn`, `sN`, `SC`, `sc`, `Sc`, `sC`, `SL`, `sl`, `Sl`, `sL`, `SO`, `so`, `So`, `sO`, `ZA`, `za`, `Za`, `zA`, `SS`, `ss`, `Ss`, `sS`, `SD`, `sd`, `Sd`, `sD`, `TZ`, `tz`, `Tz`, `tZ`, `TG`, `tg`, `Tg`, `tG`, `TN`, `tn`, `Tn`, `tN`, `UG`, `ug`, `Ug`, `uG`, `EH`, `eh`, `Eh`, `eH`, `ZM`, `zm`, `Zm`, `zM`, `ZW`, `zw`, `Zw`, `zW`, `AE`, `ae`, `Ae`, `aE`, `BH`, `bh`, `Bh`, `bH`, `IL`, `il`, `Il`, `iL`, `IQ`, `iq`, `Iq`, `iQ`, `IR`, `ir`, `Ir`, `iR`, `JO`, `jo`, `Jo`, `jO`, `KW`, `kw`, `Kw`, `kW`, `LB`, `lb`, `Lb`, `lB`, `OM`, `om`, `Om`, `oM`, `PS`, `ps`, `Ps`, `pS`, `QA`, `qa`, `Qa`, `qA`, `SA`, `sa`, `Sa`, `sA`, `SY`, `sy`, `Sy`, `sY`, `TR`, `tr`, `Tr`, `tR`, `YE`, `ye`, `Ye`, `yE`, `AD`, `ad`, `Ad`, `aD`, `AL`, `al`, `Al`, `aL`, `AT`, `at`, `At`, `aT`, `AX`, `ax`, `Ax`, `aX`, `BA`, `ba`, `Ba`, `bA`, `BE`, `be`, `Be`, `bE`, `BG`, `bg`, `Bg`, `bG`, `BY`, `by`, `By`, `bY`, `CH`, `ch`, `Ch`, `cH`, `CY`, `cy`, `Cy`, `cY`, `CZ`, `cz`, `Cz`, `cZ`, `DE`, `de`, `De`, `dE`, `DK`, `dk`, `Dk`, `dK`, `EE`, `ee`, `Ee`, `eE`, `ES`, `es`, `Es`, `eS`, `FI`, `fi`, `Fi`, `fI`, `FO`, `fo`, `Fo`, `fO`, `FR`, `fr`, `Fr`, `fR`, `GB`, `gb`, `Gb`, `gB`, `GG`, `gg`, `Gg`, `gG`, `GI`, `gi`, `Gi`, `gI`, `GR`, `gr`, `Gr`, `gR`, `HR`, `hr`, `Hr`, `hR`, `HU`, `hu`, `Hu`, `hU`, `IE`, `ie`, `Ie`, `iE`, `IM`, `im`, `Im`, `iM`, `IS`, `is`, `Is`, `iS`, `IT`, `it`, `It`, `iT`, `JE`, `je`, `Je`, `jE`, `LI`, `li`, `Li`, `lI`, `LT`, `lt`, `Lt`, `lT`, `LU`, `lu`, `Lu`, `lU`, `LV`, `lv`, `Lv`, `lV`, `MC`, `mc`, `Mc`, `mC`, `MD`, `md`, `Md`, `mD`, `ME`, `me`, `Me`, `mE`, `MK`, `mk`, `Mk`, `mK`, `MT`, `mt`, `Mt`, `mT`, `NL`, `nl`, `Nl`, `nL`, `NO`, `no`, `No`, `nO`, `PL`, `pl`, `Pl`, `pL`, `PT`, `pt`, `Pt`, `pT`, `RO`, `ro`, `Ro`, `rO`, `RS`, `rs`, `Rs`, `rS`, `RU`, `ru`, `Ru`, `rU`, `SE`, `se`, `Se`, `sE`, `SI`, `si`, `Si`, `sI`, `SJ`, `sj`, `Sj`, `sJ`, `SK`, `sk`, `Sk`, `sK`, `SM`, `sm`, `Sm`, `sM`, `UA`, `ua`, `Ua`, `uA`, `VA`, `va`, `Va`, `vA`, `XK`, `xk`, `Xk`, `xK`, `AG`, `ag`, `Ag`, `aG`, `AI`, `ai`, `Ai`, `aI`, `AR`, `ar`, `Ar`, `aR`, `AW`, `aw`, `Aw`, `aW`, `BB`, `bb`, `Bb`, `bB`, `BL`, `bl`, `Bl`, `bL`, `BM`, `bm`, `Bm`, `bM`, `BO`, `bo`, `Bo`, `bO`, `BQ`, `bq`, `Bq`, `bQ`, `BR`, `br`, `Br`, `bR`, `BS`, `bs`, `Bs`, `bS`, `BZ`, `bz`, `Bz`, `bZ`, `CA`, `ca`, `Ca`, `cA`, `CL`, `cl`, `Cl`, `cL`, `CO`, `co`, `Co`, `cO`, `CR`, `cr`, `Cr`, `cR`, `CU`, `cu`, `Cu`, `cU`, `CW`, `cw`, `Cw`, `cW`, `DM`, `dm`, `Dm`, `dM`, `DO`, `do`, `Do`, `dO`, `EC`, `ec`, `Ec`, `eC`, `FK`, `fk`, `Fk`, `fK`, `GD`, `gd`, `Gd`, `gD`, `GF`, `gf`, `Gf`, `gF`, `GL`, `gl`, `Gl`, `gL`, `GP`, `gp`, `Gp`, `gP`, `GT`, `gt`, `Gt`, `gT`, `GY`, `gy`, `Gy`, `gY`, `HN`, `hn`, `Hn`, `hN`, `HT`, `ht`, `Ht`, `hT`, `JM`, `jm`, `Jm`, `jM`, `KN`, `kn`, `Kn`, `kN`, `KY`, `ky`, `Ky`, `kY`, `LC`, `lc`, `Lc`, `lC`, `MF`, `mf`, `Mf`, `mF`, `MQ`, `mq`, `Mq`, `mQ`, `MS`, `ms`, `Ms`, `mS`, `MX`, `mx`, `Mx`, `mX`, `NI`, `ni`, `Ni`, `nI`, `PA`, `pa`, `Pa`, `pA`, `PE`, `pe`, `Pe`, `pE`, `PM`, `pm`, `Pm`, `pM`, `PR`, `pr`, `Pr`, `pR`, `PY`, `py`, `Py`, `pY`, `SR`, `sr`, `Sr`, `sR`, `SV`, `sv`, `Sv`, `sV`, `SX`, `sx`, `Sx`, `sX`, `TC`, `tc`, `Tc`, `tC`, `TT`, `tt`, `Tt`, `tT`, `US`, `us`, `Us`, `uS`, `UY`, `uy`, `Uy`, `uY`, `VC`, `vc`, `Vc`, `vC`, `VE`, `ve`, `Ve`, `vE`, `VG`, `vg`, `Vg`, `vG`, `VI`, `vi`, `Vi`, `vI`, `AF`, `af`, `Af`, `aF`, `AM`, `am`, `Am`, `aM`, `AS`, `as`, `As`, `aS`, `AU`, `au`, `Au`, `aU`, `AZ`, `az`, `Az`, `aZ`, `BD`, `bd`, `Bd`, `bD`, `BN`, `bn`, `Bn`, `bN`, `BT`, `bt`, `Bt`, `bT`, `CK`, `ck`, `Ck`, `cK`, `CN`, `cn`, `Cn`, `cN`, `FJ`, `fj`, `Fj`, `fJ`, `FM`, `fm`, `Fm`, `fM`, `GE`, `ge`, `Ge`, `gE`, `GU`, `gu`, `Gu`, `gU`, `HK`, `hk`, `Hk`, `hK`, `ID`, `id`, `Id`, `iD`, `IN`, `in`, `In`, `iN`, `JP`, `jp`, `Jp`, `jP`, `KG`, `kg`, `Kg`, `kG`, `KH`, `kh`, `Kh`, `kH`, `KI`, `ki`, `Ki`, `kI`, `KP`, `kp`, `Kp`, `kP`, `KR`, `kr`, `Kr`, `kR`, `KZ`, `kz`, `Kz`, `kZ`, `LA`, `la`, `La`, `lA`, `LK`, `lk`, `Lk`, `lK`, `MH`, `mh`, `Mh`, `mH`, `MM`, `mm`, `Mm`, `mM`, `MN`, `mn`, `Mn`, `mN`, `MO`, `mo`, `Mo`, `mO`, `MP`, `mp`, `Mp`, `mP`, `MV`, `mv`, `Mv`, `mV`, `MY`, `my`, `My`, `mY`, `NC`, `nc`, `Nc`, `nC`, `NF`, `nf`, `Nf`, `nF`, `NP`, `np`, `Np`, `nP`, `NR`, `nr`, `Nr`, `nR`, `NU`, `nu`, `Nu`, `nU`, `NZ`, `nz`, `Nz`, `nZ`, `PF`, `pf`, `Pf`, `pF`, `PG`, `pg`, `Pg`, `pG`, `PH`, `ph`, `Ph`, `pH`, `PK`, `pk`, `Pk`, `pK`, `PN`, `pn`, `Pn`, `pN`, `PW`, `pw`, `Pw`, `pW`, `SB`, `sb`, `Sb`, `sB`, `SG`, `sg`, `Sg`, `sG`, `TH`, `th`, `Th`, `tH`, `TJ`, `tj`, `Tj`, `tJ`, `TK`, `tk`, `Tk`, `tK`, `TL`, `tl`, `Tl`, `tL`, `TM`, `tm`, `Tm`, `tM`, `TO`, `to`, `To`, `tO`, `TV`, `tv`, `Tv`, `tV`, `TW`, `tw`, `Tw`, `tW`, `UZ`, `uz`, `Uz`, `uZ`, `VN`, `vn`, `Vn`, `vN`, `VU`, `vu`, `Vu`, `vU`, `WF`, `wf`, `Wf`, `wF`, `WS`, `ws`, `Ws`, `wS`
- `registrationAuthority` (string, optional)
- `jurisdiction` (enum, optional)
  - Allowed values: `DZ`, `dz`, `Dz`, `dZ`, `AO`, `ao`, `Ao`, `aO`, `BJ`, `bj`, `Bj`, `bJ`, `BW`, `bw`, `Bw`, `bW`, `BF`, `bf`, `Bf`, `bF`, `BI`, `bi`, `Bi`, `bI`, `CV`, `cv`, `Cv`, `cV`, `CM`, `cm`, `Cm`, `cM`, `CF`, `cf`, `Cf`, `cF`, `TD`, `td`, `Td`, `tD`, `KM`, `km`, `Km`, `kM`, `CG`, `cg`, `Cg`, `cG`, `CD`, `cd`, `Cd`, `cD`, `CI`, `ci`, `Ci`, `cI`, `DJ`, `dj`, `Dj`, `dJ`, `EG`, `eg`, `Eg`, `eG`, `GQ`, `gq`, `Gq`, `gQ`, `ER`, `er`, `Er`, `eR`, `SZ`, `sz`, `Sz`, `sZ`, `ET`, `et`, `Et`, `eT`, `GA`, `ga`, `Ga`, `gA`, `GM`, `gm`, `Gm`, `gM`, `GH`, `gh`, `Gh`, `gH`, `GN`, `gn`, `Gn`, `gN`, `GW`, `gw`, `Gw`, `gW`, `KE`, `ke`, `Ke`, `kE`, `LS`, `ls`, `Ls`, `lS`, `LR`, `lr`, `Lr`, `lR`, `LY`, `ly`, `Ly`, `lY`, `MG`, `mg`, `Mg`, `mG`, `MW`, `mw`, `Mw`, `mW`, `ML`, `ml`, `Ml`, `mL`, `MR`, `mr`, `Mr`, `mR`, `MU`, `mu`, `Mu`, `mU`, `YT`, `yt`, `Yt`, `yT`, `MA`, `ma`, `Ma`, `mA`, `MZ`, `mz`, `Mz`, `mZ`, `NA`, `na`, `Na`, `nA`, `NE`, `ne`, `Ne`, `nE`, `NG`, `ng`, `Ng`, `nG`, `RE`, `re`, `Re`, `rE`, `RW`, `rw`, `Rw`, `rW`, `SH`, `sh`, `Sh`, `sH`, `ST`, `st`, `St`, `sT`, `SN`, `sn`, `Sn`, `sN`, `SC`, `sc`, `Sc`, `sC`, `SL`, `sl`, `Sl`, `sL`, `SO`, `so`, `So`, `sO`, `ZA`, `za`, `Za`, `zA`, `SS`, `ss`, `Ss`, `sS`, `SD`, `sd`, `Sd`, `sD`, `TZ`, `tz`, `Tz`, `tZ`, `TG`, `tg`, `Tg`, `tG`, `TN`, `tn`, `Tn`, `tN`, `UG`, `ug`, `Ug`, `uG`, `EH`, `eh`, `Eh`, `eH`, `ZM`, `zm`, `Zm`, `zM`, `ZW`, `zw`, `Zw`, `zW`, `AE`, `ae`, `Ae`, `aE`, `BH`, `bh`, `Bh`, `bH`, `IL`, `il`, `Il`, `iL`, `IQ`, `iq`, `Iq`, `iQ`, `IR`, `ir`, `Ir`, `iR`, `JO`, `jo`, `Jo`, `jO`, `KW`, `kw`, `Kw`, `kW`, `LB`, `lb`, `Lb`, `lB`, `OM`, `om`, `Om`, `oM`, `PS`, `ps`, `Ps`, `pS`, `QA`, `qa`, `Qa`, `qA`, `SA`, `sa`, `Sa`, `sA`, `SY`, `sy`, `Sy`, `sY`, `TR`, `tr`, `Tr`, `tR`, `YE`, `ye`, `Ye`, `yE`, `AD`, `ad`, `Ad`, `aD`, `AL`, `al`, `Al`, `aL`, `AT`, `at`, `At`, `aT`, `AX`, `ax`, `Ax`, `aX`, `BA`, `ba`, `Ba`, `bA`, `BE`, `be`, `Be`, `bE`, `BG`, `bg`, `Bg`, `bG`, `BY`, `by`, `By`, `bY`, `CH`, `ch`, `Ch`, `cH`, `CY`, `cy`, `Cy`, `cY`, `CZ`, `cz`, `Cz`, `cZ`, `DE`, `de`, `De`, `dE`, `DK`, `dk`, `Dk`, `dK`, `EE`, `ee`, `Ee`, `eE`, `ES`, `es`, `Es`, `eS`, `FI`, `fi`, `Fi`, `fI`, `FO`, `fo`, `Fo`, `fO`, `FR`, `fr`, `Fr`, `fR`, `GB`, `gb`, `Gb`, `gB`, `GG`, `gg`, `Gg`, `gG`, `GI`, `gi`, `Gi`, `gI`, `GR`, `gr`, `Gr`, `gR`, `HR`, `hr`, `Hr`, `hR`, `HU`, `hu`, `Hu`, `hU`, `IE`, `ie`, `Ie`, `iE`, `IM`, `im`, `Im`, `iM`, `IS`, `is`, `Is`, `iS`, `IT`, `it`, `It`, `iT`, `JE`, `je`, `Je`, `jE`, `LI`, `li`, `Li`, `lI`, `LT`, `lt`, `Lt`, `lT`, `LU`, `lu`, `Lu`, `lU`, `LV`, `lv`, `Lv`, `lV`, `MC`, `mc`, `Mc`, `mC`, `MD`, `md`, `Md`, `mD`, `ME`, `me`, `Me`, `mE`, `MK`, `mk`, `Mk`, `mK`, `MT`, `mt`, `Mt`, `mT`, `NL`, `nl`, `Nl`, `nL`, `NO`, `no`, `No`, `nO`, `PL`, `pl`, `Pl`, `pL`, `PT`, `pt`, `Pt`, `pT`, `RO`, `ro`, `Ro`, `rO`, `RS`, `rs`, `Rs`, `rS`, `RU`, `ru`, `Ru`, `rU`, `SE`, `se`, `Se`, `sE`, `SI`, `si`, `Si`, `sI`, `SJ`, `sj`, `Sj`, `sJ`, `SK`, `sk`, `Sk`, `sK`, `SM`, `sm`, `Sm`, `sM`, `UA`, `ua`, `Ua`, `uA`, `VA`, `va`, `Va`, `vA`, `XK`, `xk`, `Xk`, `xK`, `AG`, `ag`, `Ag`, `aG`, `AI`, `ai`, `Ai`, `aI`, `AR`, `ar`, `Ar`, `aR`, `AW`, `aw`, `Aw`, `aW`, `BB`, `bb`, `Bb`, `bB`, `BL`, `bl`, `Bl`, `bL`, `BM`, `bm`, `Bm`, `bM`, `BO`, `bo`, `Bo`, `bO`, `BQ`, `bq`, `Bq`, `bQ`, `BR`, `br`, `Br`, `bR`, `BS`, `bs`, `Bs`, `bS`, `BZ`, `bz`, `Bz`, `bZ`, `CA`, `ca`, `Ca`, `cA`, `CL`, `cl`, `Cl`, `cL`, `CO`, `co`, `Co`, `cO`, `CR`, `cr`, `Cr`, `cR`, `CU`, `cu`, `Cu`, `cU`, `CW`, `cw`, `Cw`, `cW`, `DM`, `dm`, `Dm`, `dM`, `DO`, `do`, `Do`, `dO`, `EC`, `ec`, `Ec`, `eC`, `FK`, `fk`, `Fk`, `fK`, `GD`, `gd`, `Gd`, `gD`, `GF`, `gf`, `Gf`, `gF`, `GL`, `gl`, `Gl`, `gL`, `GP`, `gp`, `Gp`, `gP`, `GT`, `gt`, `Gt`, `gT`, `GY`, `gy`, `Gy`, `gY`, `HN`, `hn`, `Hn`, `hN`, `HT`, `ht`, `Ht`, `hT`, `JM`, `jm`, `Jm`, `jM`, `KN`, `kn`, `Kn`, `kN`, `KY`, `ky`, `Ky`, `kY`, `LC`, `lc`, `Lc`, `lC`, `MF`, `mf`, `Mf`, `mF`, `MQ`, `mq`, `Mq`, `mQ`, `MS`, `ms`, `Ms`, `mS`, `MX`, `mx`, `Mx`, `mX`, `NI`, `ni`, `Ni`, `nI`, `PA`, `pa`, `Pa`, `pA`, `PE`, `pe`, `Pe`, `pE`, `PM`, `pm`, `Pm`, `pM`, `PR`, `pr`, `Pr`, `pR`, `PY`, `py`, `Py`, `pY`, `SR`, `sr`, `Sr`, `sR`, `SV`, `sv`, `Sv`, `sV`, `SX`, `sx`, `Sx`, `sX`, `TC`, `tc`, `Tc`, `tC`, `TT`, `tt`, `Tt`, `tT`, `US`, `us`, `Us`, `uS`, `UY`, `uy`, `Uy`, `uY`, `VC`, `vc`, `Vc`, `vC`, `VE`, `ve`, `Ve`, `vE`, `VG`, `vg`, `Vg`, `vG`, `VI`, `vi`, `Vi`, `vI`, `AF`, `af`, `Af`, `aF`, `AM`, `am`, `Am`, `aM`, `AS`, `as`, `As`, `aS`, `AU`, `au`, `Au`, `aU`, `AZ`, `az`, `Az`, `aZ`, `BD`, `bd`, `Bd`, `bD`, `BN`, `bn`, `Bn`, `bN`, `BT`, `bt`, `Bt`, `bT`, `CK`, `ck`, `Ck`, `cK`, `CN`, `cn`, `Cn`, `cN`, `FJ`, `fj`, `Fj`, `fJ`, `FM`, `fm`, `Fm`, `fM`, `GE`, `ge`, `Ge`, `gE`, `GU`, `gu`, `Gu`, `gU`, `HK`, `hk`, `Hk`, `hK`, `ID`, `id`, `Id`, `iD`, `IN`, `in`, `In`, `iN`, `JP`, `jp`, `Jp`, `jP`, `KG`, `kg`, `Kg`, `kG`, `KH`, `kh`, `Kh`, `kH`, `KI`, `ki`, `Ki`, `kI`, `KP`, `kp`, `Kp`, `kP`, `KR`, `kr`, `Kr`, `kR`, `KZ`, `kz`, `Kz`, `kZ`, `LA`, `la`, `La`, `lA`, `LK`, `lk`, `Lk`, `lK`, `MH`, `mh`, `Mh`, `mH`, `MM`, `mm`, `Mm`, `mM`, `MN`, `mn`, `Mn`, `mN`, `MO`, `mo`, `Mo`, `mO`, `MP`, `mp`, `Mp`, `mP`, `MV`, `mv`, `Mv`, `mV`, `MY`, `my`, `My`, `mY`, `NC`, `nc`, `Nc`, `nC`, `NF`, `nf`, `Nf`, `nF`, `NP`, `np`, `Np`, `nP`, `NR`, `nr`, `Nr`, `nR`, `NU`, `nu`, `Nu`, `nU`, `NZ`, `nz`, `Nz`, `nZ`, `PF`, `pf`, `Pf`, `pF`, `PG`, `pg`, `Pg`, `pG`, `PH`, `ph`, `Ph`, `pH`, `PK`, `pk`, `Pk`, `pK`, `PN`, `pn`, `Pn`, `pN`, `PW`, `pw`, `Pw`, `pW`, `SB`, `sb`, `Sb`, `sB`, `SG`, `sg`, `Sg`, `sG`, `TH`, `th`, `Th`, `tH`, `TJ`, `tj`, `Tj`, `tJ`, `TK`, `tk`, `Tk`, `tK`, `TL`, `tl`, `Tl`, `tL`, `TM`, `tm`, `Tm`, `tM`, `TO`, `to`, `To`, `tO`, `TV`, `tv`, `Tv`, `tV`, `TW`, `tw`, `Tw`, `tW`, `UZ`, `uz`, `Uz`, `uZ`, `VN`, `vn`, `Vn`, `vN`, `VU`, `vu`, `Vu`, `vU`, `WF`, `wf`, `Wf`, `wF`, `WS`, `ws`, `Ws`, `wS`
- `registrationIdentifier` (string, optional)
- `licenceIdentifier` (string, optional)

### TravelRuleAssessmentResponseAssessment

- `id` (string, required)
- `transactionId` (string, required)
- `state` (enum, required)
  - Allowed values: `not_required`, `pending`, `complete`, `failed`
- `applicability` (enum, required)
  - Allowed values: `not_applicable`, `required`, `unknown`
- `status` (enum, required)
  - Allowed values: `pending`, `complete`, `failed`
- `validationGeneration` (integer, required)
- `decision` (enum, required)
  - Allowed values: `allow`, `review`, `block`
- `transferRecommendation` (enum, required)
  - Allowed values: `proceed`, `hold`, `stop`
- `summary` (TravelRuleAssessmentResponseAssessmentSummary, required)
- `why` (list of string, required)
- `actions` (list of string, required)
- `fields` (TravelRuleAssessmentResponseAssessmentFields, required)
- `issues` (list of TravelRuleAssessmentResponseAssessmentIssuesItems, required)
- `parties` (list of TravelRuleAssessmentResponseAssessmentPartiesItems, required)
- `counterpartyVasp` (TravelRuleAssessmentResponseAssessmentCounterpartyVasp, required)
- `screeningEvidence` (list of TravelRuleAssessmentResponseAssessmentScreeningEvidenceItems, required)
- `failure` (TravelRuleAssessmentResponseAssessmentFailure, required, nullable)
- `policy` (TravelRuleAssessmentResponseAssessmentPolicy, required)
- `informationAttempts` (integer, required)
- `createdAt` (datetime, required)
- `completedAt` (datetime, required, nullable)
- `failedAt` (datetime, required, nullable)

### ErrorEnvelopeError

- `type` (enum, required)
  - Allowed values: `AUTHENTICATION_ERROR`, `PERMISSION_ERROR`, `VALIDATION_ERROR`, `NOT_FOUND`, `CONFLICT`, `IDEMPOTENCY_CONFLICT`, `INSUFFICIENT_CREDIT`, `RATE_LIMITED`, `SERVICE_UNAVAILABLE`, `INTERNAL_ERROR`
- `code` (string, required)
- `message` (string, required)
- `request_id` (string, required, nullable)
- `details` (any, optional)

### TravelRulePartyDataResidentialAddress

### TravelRuleAssessmentResponseAssessmentSummary

- `outcome` (enum, required)
  - Allowed values: `information_required`, `review_required`, `blocked`, `ready_to_proceed`, `not_required`, `validation_failed`
- `title` (string, required)
- `description` (string, required)
- `transferStatus` (enum, required)
  - Allowed values: `proceed`, `hold`, `stop`
- `missingInformation` (list of TravelRuleAssessmentResponseAssessmentSummaryMissingInformationItems, required)
- `checks` (TravelRuleAssessmentResponseAssessmentSummaryChecks, required)
- `nextAction` (TravelRuleAssessmentResponseAssessmentSummaryNextAction, required)

### TravelRuleAssessmentResponseAssessmentFields

- `required` (list of string, required)
- `received` (list of string, required)
- `missing` (list of string, required)
- `baseRequired` (list of string, optional) — Always-required fields when the pinned policy also permits alternatives.
- `alternatives` (list of TravelRuleAssessmentResponseAssessmentFieldsAlternativesItems, optional)

### TravelRuleAssessmentResponseAssessmentIssuesItems

- `code` (string, required)
- `severity` (enum, required)
  - Allowed values: `medium`, `high`, `critical`
- `field` (string, required, nullable)
- `role` (string, required, nullable)
- `detectedAt` (datetime, required)

### TravelRuleAssessmentResponseAssessmentPartiesItems

- `role` (enum, required)
  - Allowed values: `originator`, `beneficiary`, `counterparty_vasp`
- `type` (enum, required)
  - Allowed values: `individual`, `business`, `unknown`
- `subject` (TravelRulePartySubject, required, nullable)
- `receivedFields` (list of string, required)

### TravelRuleAssessmentResponseAssessmentCounterpartyVasp

- `linked` (boolean, required)
- `verified` (boolean, required)
- `verifiedAt` (datetime, required, nullable)
- `verificationSource` (enum, required)
  - Allowed values: `entity_kyb`
- `conflictingEvidence` (boolean, required)
- `observedAt` (datetime, required, nullable)
- `id` (string, required, nullable)

### TravelRuleAssessmentResponseAssessmentScreeningEvidenceItems

- `attemptId` (string, required)
- `type` (string, required, nullable)
- `status` (string, required, nullable)
- `outcome` (string, required, nullable)

### TravelRuleAssessmentResponseAssessmentFailure

- `attribution` (enum, required)
  - Allowed values: `provider`, `system`
- `code` (string, required, nullable)

### TravelRuleAssessmentResponseAssessmentPolicy

- `version` (integer, required)

### TravelRuleAddress

- `line1` (string, optional)
- `line2` (string, optional)
- `city` (string, optional)
- `region` (string, optional)
- `postalCode` (string, optional)
- `country` (enum, optional)
  - Allowed values: `DZ`, `dz`, `Dz`, `dZ`, `AO`, `ao`, `Ao`, `aO`, `BJ`, `bj`, `Bj`, `bJ`, `BW`, `bw`, `Bw`, `bW`, `BF`, `bf`, `Bf`, `bF`, `BI`, `bi`, `Bi`, `bI`, `CV`, `cv`, `Cv`, `cV`, `CM`, `cm`, `Cm`, `cM`, `CF`, `cf`, `Cf`, `cF`, `TD`, `td`, `Td`, `tD`, `KM`, `km`, `Km`, `kM`, `CG`, `cg`, `Cg`, `cG`, `CD`, `cd`, `Cd`, `cD`, `CI`, `ci`, `Ci`, `cI`, `DJ`, `dj`, `Dj`, `dJ`, `EG`, `eg`, `Eg`, `eG`, `GQ`, `gq`, `Gq`, `gQ`, `ER`, `er`, `Er`, `eR`, `SZ`, `sz`, `Sz`, `sZ`, `ET`, `et`, `Et`, `eT`, `GA`, `ga`, `Ga`, `gA`, `GM`, `gm`, `Gm`, `gM`, `GH`, `gh`, `Gh`, `gH`, `GN`, `gn`, `Gn`, `gN`, `GW`, `gw`, `Gw`, `gW`, `KE`, `ke`, `Ke`, `kE`, `LS`, `ls`, `Ls`, `lS`, `LR`, `lr`, `Lr`, `lR`, `LY`, `ly`, `Ly`, `lY`, `MG`, `mg`, `Mg`, `mG`, `MW`, `mw`, `Mw`, `mW`, `ML`, `ml`, `Ml`, `mL`, `MR`, `mr`, `Mr`, `mR`, `MU`, `mu`, `Mu`, `mU`, `YT`, `yt`, `Yt`, `yT`, `MA`, `ma`, `Ma`, `mA`, `MZ`, `mz`, `Mz`, `mZ`, `NA`, `na`, `Na`, `nA`, `NE`, `ne`, `Ne`, `nE`, `NG`, `ng`, `Ng`, `nG`, `RE`, `re`, `Re`, `rE`, `RW`, `rw`, `Rw`, `rW`, `SH`, `sh`, `Sh`, `sH`, `ST`, `st`, `St`, `sT`, `SN`, `sn`, `Sn`, `sN`, `SC`, `sc`, `Sc`, `sC`, `SL`, `sl`, `Sl`, `sL`, `SO`, `so`, `So`, `sO`, `ZA`, `za`, `Za`, `zA`, `SS`, `ss`, `Ss`, `sS`, `SD`, `sd`, `Sd`, `sD`, `TZ`, `tz`, `Tz`, `tZ`, `TG`, `tg`, `Tg`, `tG`, `TN`, `tn`, `Tn`, `tN`, `UG`, `ug`, `Ug`, `uG`, `EH`, `eh`, `Eh`, `eH`, `ZM`, `zm`, `Zm`, `zM`, `ZW`, `zw`, `Zw`, `zW`, `AE`, `ae`, `Ae`, `aE`, `BH`, `bh`, `Bh`, `bH`, `IL`, `il`, `Il`, `iL`, `IQ`, `iq`, `Iq`, `iQ`, `IR`, `ir`, `Ir`, `iR`, `JO`, `jo`, `Jo`, `jO`, `KW`, `kw`, `Kw`, `kW`, `LB`, `lb`, `Lb`, `lB`, `OM`, `om`, `Om`, `oM`, `PS`, `ps`, `Ps`, `pS`, `QA`, `qa`, `Qa`, `qA`, `SA`, `sa`, `Sa`, `sA`, `SY`, `sy`, `Sy`, `sY`, `TR`, `tr`, `Tr`, `tR`, `YE`, `ye`, `Ye`, `yE`, `AD`, `ad`, `Ad`, `aD`, `AL`, `al`, `Al`, `aL`, `AT`, `at`, `At`, `aT`, `AX`, `ax`, `Ax`, `aX`, `BA`, `ba`, `Ba`, `bA`, `BE`, `be`, `Be`, `bE`, `BG`, `bg`, `Bg`, `bG`, `BY`, `by`, `By`, `bY`, `CH`, `ch`, `Ch`, `cH`, `CY`, `cy`, `Cy`, `cY`, `CZ`, `cz`, `Cz`, `cZ`, `DE`, `de`, `De`, `dE`, `DK`, `dk`, `Dk`, `dK`, `EE`, `ee`, `Ee`, `eE`, `ES`, `es`, `Es`, `eS`, `FI`, `fi`, `Fi`, `fI`, `FO`, `fo`, `Fo`, `fO`, `FR`, `fr`, `Fr`, `fR`, `GB`, `gb`, `Gb`, `gB`, `GG`, `gg`, `Gg`, `gG`, `GI`, `gi`, `Gi`, `gI`, `GR`, `gr`, `Gr`, `gR`, `HR`, `hr`, `Hr`, `hR`, `HU`, `hu`, `Hu`, `hU`, `IE`, `ie`, `Ie`, `iE`, `IM`, `im`, `Im`, `iM`, `IS`, `is`, `Is`, `iS`, `IT`, `it`, `It`, `iT`, `JE`, `je`, `Je`, `jE`, `LI`, `li`, `Li`, `lI`, `LT`, `lt`, `Lt`, `lT`, `LU`, `lu`, `Lu`, `lU`, `LV`, `lv`, `Lv`, `lV`, `MC`, `mc`, `Mc`, `mC`, `MD`, `md`, `Md`, `mD`, `ME`, `me`, `Me`, `mE`, `MK`, `mk`, `Mk`, `mK`, `MT`, `mt`, `Mt`, `mT`, `NL`, `nl`, `Nl`, `nL`, `NO`, `no`, `No`, `nO`, `PL`, `pl`, `Pl`, `pL`, `PT`, `pt`, `Pt`, `pT`, `RO`, `ro`, `Ro`, `rO`, `RS`, `rs`, `Rs`, `rS`, `RU`, `ru`, `Ru`, `rU`, `SE`, `se`, `Se`, `sE`, `SI`, `si`, `Si`, `sI`, `SJ`, `sj`, `Sj`, `sJ`, `SK`, `sk`, `Sk`, `sK`, `SM`, `sm`, `Sm`, `sM`, `UA`, `ua`, `Ua`, `uA`, `VA`, `va`, `Va`, `vA`, `XK`, `xk`, `Xk`, `xK`, `AG`, `ag`, `Ag`, `aG`, `AI`, `ai`, `Ai`, `aI`, `AR`, `ar`, `Ar`, `aR`, `AW`, `aw`, `Aw`, `aW`, `BB`, `bb`, `Bb`, `bB`, `BL`, `bl`, `Bl`, `bL`, `BM`, `bm`, `Bm`, `bM`, `BO`, `bo`, `Bo`, `bO`, `BQ`, `bq`, `Bq`, `bQ`, `BR`, `br`, `Br`, `bR`, `BS`, `bs`, `Bs`, `bS`, `BZ`, `bz`, `Bz`, `bZ`, `CA`, `ca`, `Ca`, `cA`, `CL`, `cl`, `Cl`, `cL`, `CO`, `co`, `Co`, `cO`, `CR`, `cr`, `Cr`, `cR`, `CU`, `cu`, `Cu`, `cU`, `CW`, `cw`, `Cw`, `cW`, `DM`, `dm`, `Dm`, `dM`, `DO`, `do`, `Do`, `dO`, `EC`, `ec`, `Ec`, `eC`, `FK`, `fk`, `Fk`, `fK`, `GD`, `gd`, `Gd`, `gD`, `GF`, `gf`, `Gf`, `gF`, `GL`, `gl`, `Gl`, `gL`, `GP`, `gp`, `Gp`, `gP`, `GT`, `gt`, `Gt`, `gT`, `GY`, `gy`, `Gy`, `gY`, `HN`, `hn`, `Hn`, `hN`, `HT`, `ht`, `Ht`, `hT`, `JM`, `jm`, `Jm`, `jM`, `KN`, `kn`, `Kn`, `kN`, `KY`, `ky`, `Ky`, `kY`, `LC`, `lc`, `Lc`, `lC`, `MF`, `mf`, `Mf`, `mF`, `MQ`, `mq`, `Mq`, `mQ`, `MS`, `ms`, `Ms`, `mS`, `MX`, `mx`, `Mx`, `mX`, `NI`, `ni`, `Ni`, `nI`, `PA`, `pa`, `Pa`, `pA`, `PE`, `pe`, `Pe`, `pE`, `PM`, `pm`, `Pm`, `pM`, `PR`, `pr`, `Pr`, `pR`, `PY`, `py`, `Py`, `pY`, `SR`, `sr`, `Sr`, `sR`, `SV`, `sv`, `Sv`, `sV`, `SX`, `sx`, `Sx`, `sX`, `TC`, `tc`, `Tc`, `tC`, `TT`, `tt`, `Tt`, `tT`, `US`, `us`, `Us`, `uS`, `UY`, `uy`, `Uy`, `uY`, `VC`, `vc`, `Vc`, `vC`, `VE`, `ve`, `Ve`, `vE`, `VG`, `vg`, `Vg`, `vG`, `VI`, `vi`, `Vi`, `vI`, `AF`, `af`, `Af`, `aF`, `AM`, `am`, `Am`, `aM`, `AS`, `as`, `As`, `aS`, `AU`, `au`, `Au`, `aU`, `AZ`, `az`, `Az`, `aZ`, `BD`, `bd`, `Bd`, `bD`, `BN`, `bn`, `Bn`, `bN`, `BT`, `bt`, `Bt`, `bT`, `CK`, `ck`, `Ck`, `cK`, `CN`, `cn`, `Cn`, `cN`, `FJ`, `fj`, `Fj`, `fJ`, `FM`, `fm`, `Fm`, `fM`, `GE`, `ge`, `Ge`, `gE`, `GU`, `gu`, `Gu`, `gU`, `HK`, `hk`, `Hk`, `hK`, `ID`, `id`, `Id`, `iD`, `IN`, `in`, `In`, `iN`, `JP`, `jp`, `Jp`, `jP`, `KG`, `kg`, `Kg`, `kG`, `KH`, `kh`, `Kh`, `kH`, `KI`, `ki`, `Ki`, `kI`, `KP`, `kp`, `Kp`, `kP`, `KR`, `kr`, `Kr`, `kR`, `KZ`, `kz`, `Kz`, `kZ`, `LA`, `la`, `La`, `lA`, `LK`, `lk`, `Lk`, `lK`, `MH`, `mh`, `Mh`, `mH`, `MM`, `mm`, `Mm`, `mM`, `MN`, `mn`, `Mn`, `mN`, `MO`, `mo`, `Mo`, `mO`, `MP`, `mp`, `Mp`, `mP`, `MV`, `mv`, `Mv`, `mV`, `MY`, `my`, `My`, `mY`, `NC`, `nc`, `Nc`, `nC`, `NF`, `nf`, `Nf`, `nF`, `NP`, `np`, `Np`, `nP`, `NR`, `nr`, `Nr`, `nR`, `NU`, `nu`, `Nu`, `nU`, `NZ`, `nz`, `Nz`, `nZ`, `PF`, `pf`, `Pf`, `pF`, `PG`, `pg`, `Pg`, `pG`, `PH`, `ph`, `Ph`, `pH`, `PK`, `pk`, `Pk`, `pK`, `PN`, `pn`, `Pn`, `pN`, `PW`, `pw`, `Pw`, `pW`, `SB`, `sb`, `Sb`, `sB`, `SG`, `sg`, `Sg`, `sG`, `TH`, `th`, `Th`, `tH`, `TJ`, `tj`, `Tj`, `tJ`, `TK`, `tk`, `Tk`, `tK`, `TL`, `tl`, `Tl`, `tL`, `TM`, `tm`, `Tm`, `tM`, `TO`, `to`, `To`, `tO`, `TV`, `tv`, `Tv`, `tV`, `TW`, `tw`, `Tw`, `tW`, `UZ`, `uz`, `Uz`, `uZ`, `VN`, `vn`, `Vn`, `vN`, `VU`, `vu`, `Vu`, `vU`, `WF`, `wf`, `Wf`, `wF`, `WS`, `ws`, `Ws`, `wS`

### TravelRuleAssessmentResponseAssessmentSummaryMissingInformationItems

- `key` (string, required)
- `party` (string, required)
- `field` (string, required)
- `label` (string, required)

### TravelRuleAssessmentResponseAssessmentSummaryChecks

- `passed` (integer, required)
- `needsReview` (integer, required)
- `failed` (integer, required)
- `pending` (integer, required)

### TravelRuleAssessmentResponseAssessmentSummaryNextAction

- `type` (enum, required)
  - Allowed values: `submit_information`, `review_transaction`, `retry_validation`, `none`
- `label` (string, required)

### TravelRuleAssessmentResponseAssessmentFieldsAlternativesItems

- `id` (string, required)
- `role` (enum, required)
  - Allowed values: `originator`, `beneficiary`
- `anyOf` (list of list of string, required) — Supply every field in any one group. Paths are fully role-qualified.

### TravelRulePartySubject

- `type` (string, required)
- `id` (string, required)

## Examples

### Example 1

**Request**

```json
{}
```

**Response**

```json
{
  "assessment": {
    "id": "string",
    "transactionId": "string",
    "state": "not_required",
    "applicability": "not_applicable",
    "status": "pending",
    "validationGeneration": 1,
    "decision": "allow",
    "transferRecommendation": "proceed",
    "summary": {
      "outcome": "information_required",
      "title": "string",
      "description": "string",
      "transferStatus": "proceed",
      "missingInformation": [
        {
          "key": "string",
          "party": "string",
          "field": "string",
          "label": "string"
        }
      ],
      "checks": {
        "passed": 1,
        "needsReview": 1,
        "failed": 1,
        "pending": 1
      },
      "nextAction": {
        "type": "submit_information",
        "label": "string"
      }
    },
    "why": [
      "string"
    ],
    "actions": [
      "string"
    ],
    "fields": {
      "required": [
        "string"
      ],
      "received": [
        "string"
      ],
      "missing": [
        "string"
      ],
      "baseRequired": [
        "string"
      ],
      "alternatives": [
        {
          "id": "string",
          "role": "originator",
          "anyOf": [
            [
              "string"
            ]
          ]
        }
      ]
    },
    "issues": [
      {
        "code": "string",
        "severity": "medium",
        "field": "string",
        "role": "string",
        "detectedAt": "2024-01-15T09:30:00Z"
      }
    ],
    "parties": [
      {
        "role": "originator",
        "type": "individual",
        "subject": {
          "type": "string",
          "id": "string"
        },
        "receivedFields": [
          "string"
        ]
      }
    ],
    "counterpartyVasp": {
      "linked": true,
      "verified": true,
      "verifiedAt": "2024-01-15T09:30:00Z",
      "verificationSource": "entity_kyb",
      "conflictingEvidence": true,
      "observedAt": "2024-01-15T09:30:00Z",
      "id": "string"
    },
    "screeningEvidence": [
      {
        "attemptId": "string",
        "type": "string",
        "status": "string",
        "outcome": "string"
      }
    ],
    "failure": {
      "attribution": "provider",
      "code": "string"
    },
    "policy": {
      "version": 1
    },
    "informationAttempts": 1,
    "createdAt": "2024-01-15T09:30:00Z",
    "completedAt": "2024-01-15T09:30:00Z",
    "failedAt": "2024-01-15T09:30:00Z"
  },
  "effectiveDecision": "allow",
  "replayed": true
}
```

**SDK Code**

```python
import requests

url = "https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information"

payload = {}
headers = {
    "Idempotency-Key": "Idempotency-Key",
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information';
const options = {
  method: 'POST',
  headers: {
    'Idempotency-Key': 'Idempotency-Key',
    Authorization: 'Bearer <apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Idempotency-Key", "Idempotency-Key")
	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = 'Idempotency-Key'
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information")
  .header("Idempotency-Key", "Idempotency-Key")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
    'Idempotency-Key' => 'Idempotency-Key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information");
var request = new RestRequest(Method.POST);
request.AddHeader("Idempotency-Key", "Idempotency-Key");
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Idempotency-Key": "Idempotency-Key",
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Request**

```json
{}
```

**Response**

```json
{
  "assessment": {
    "id": "string",
    "transactionId": "string",
    "state": "not_required",
    "applicability": "not_applicable",
    "status": "pending",
    "validationGeneration": 1,
    "decision": "allow",
    "transferRecommendation": "proceed",
    "summary": {
      "outcome": "information_required",
      "title": "string",
      "description": "string",
      "transferStatus": "proceed",
      "missingInformation": [
        {
          "key": "string",
          "party": "string",
          "field": "string",
          "label": "string"
        }
      ],
      "checks": {
        "passed": 1,
        "needsReview": 1,
        "failed": 1,
        "pending": 1
      },
      "nextAction": {
        "type": "submit_information",
        "label": "string"
      }
    },
    "why": [
      "string"
    ],
    "actions": [
      "string"
    ],
    "fields": {
      "required": [
        "string"
      ],
      "received": [
        "string"
      ],
      "missing": [
        "string"
      ],
      "baseRequired": [
        "string"
      ],
      "alternatives": [
        {
          "id": "string",
          "role": "originator",
          "anyOf": [
            [
              "string"
            ]
          ]
        }
      ]
    },
    "issues": [
      {
        "code": "string",
        "severity": "medium",
        "field": "string",
        "role": "string",
        "detectedAt": "2024-01-15T09:30:00Z"
      }
    ],
    "parties": [
      {
        "role": "originator",
        "type": "individual",
        "subject": {
          "type": "string",
          "id": "string"
        },
        "receivedFields": [
          "string"
        ]
      }
    ],
    "counterpartyVasp": {
      "linked": true,
      "verified": true,
      "verifiedAt": "2024-01-15T09:30:00Z",
      "verificationSource": "entity_kyb",
      "conflictingEvidence": true,
      "observedAt": "2024-01-15T09:30:00Z",
      "id": "string"
    },
    "screeningEvidence": [
      {
        "attemptId": "string",
        "type": "string",
        "status": "string",
        "outcome": "string"
      }
    ],
    "failure": {
      "attribution": "provider",
      "code": "string"
    },
    "policy": {
      "version": 1
    },
    "informationAttempts": 1,
    "createdAt": "2024-01-15T09:30:00Z",
    "completedAt": "2024-01-15T09:30:00Z",
    "failedAt": "2024-01-15T09:30:00Z"
  },
  "effectiveDecision": "allow",
  "replayed": true
}
```

**SDK Code**

```python
import requests

url = "https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information"

payload = {}
headers = {
    "Idempotency-Key": "Idempotency-Key",
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information';
const options = {
  method: 'POST',
  headers: {
    'Idempotency-Key': 'Idempotency-Key',
    Authorization: 'Bearer <apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Idempotency-Key", "Idempotency-Key")
	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = 'Idempotency-Key'
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information")
  .header("Idempotency-Key", "Idempotency-Key")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
    'Idempotency-Key' => 'Idempotency-Key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information");
var request = new RestRequest(Method.POST);
request.AddHeader("Idempotency-Key", "Idempotency-Key");
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Idempotency-Key": "Idempotency-Key",
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.toden.co/api/v1/transactions/id/travel-rule/information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```